--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: This method is used to register a new filter
full_name: "::Bot#register_filter"
is_singleton: false
name: register_filter
params: (name, group=nil, &block)
visibility: public
